aboutsummaryrefslogtreecommitdiff
path: root/files/usr/local/libexec/dovecot/quota-warning.sh.imap_server
diff options
context:
space:
mode:
Diffstat (limited to 'files/usr/local/libexec/dovecot/quota-warning.sh.imap_server')
-rw-r--r--files/usr/local/libexec/dovecot/quota-warning.sh.imap_server20
1 files changed, 20 insertions, 0 deletions
diff --git a/files/usr/local/libexec/dovecot/quota-warning.sh.imap_server b/files/usr/local/libexec/dovecot/quota-warning.sh.imap_server
new file mode 100644
index 0000000..96419f5
--- /dev/null
+++ b/files/usr/local/libexec/dovecot/quota-warning.sh.imap_server
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -eu -o pipefail
+
+PERCENT=$1
+USER=$2
+FROM=$3
+
+cat << EOF | /usr/libexec/dovecot/dovecot-lda -d "$USER" -o "plugin/quota=count:User quota:noenforcing"
+From: ${FROM}
+Subject: Mailbox quota warning
+
+This is an automatically generated message.
+
+Your mailbox is now ${PERCENT}% full.
+
+When your mailbox exceeds its quota, you will no longer receive new mail.
+
+Please delete some messages to free up space.
+EOF